## skkdic 20201226

=== debian/changelog ===
skkdic (20201226-1) unstable; urgency=medium

  * New upstream version 20201226
  * Update debian/copyright
    - SKK-JISYO.pinyin is under GPL-1+
  * Install SKK-JISYO.pinyin by skkdic-extra
  * Update description of skkdic-extra

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 27 Dec 2020 09:50:26 +0900

skkdic (20200404-2) unstable; urgency=medium

  * Switch CDBS to dh with debhelper-compat (= 13)
  * Update description for skkdic-extra
  * Update Standards-Version to 4.5.1

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 14 Dec 2020 22:45:01 +0900
