=== debian/changelog ===
skkdic (20210106-2) unstable; urgency=medium

  * New patch 010_assoc.patch to fix incorrect words in SKK-JISYO.assoc
  * Adjust the license text of CC-BY-SA-3.0 in debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 17 Feb 2021 19:21:49 +0900

skkdic (20210106-1) unstable; urgency=medium

  * New upstream version 20210106
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 20 Jan 2021 19:29:06 +0900
