=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=%cd" \
https://github.com/skk-dev/dict HEAD debian uupdate
