=== debian/changelog ===
skkdic (20230109-1) unstable; urgency=medium

  * New upstream version 20230109
  * Drop debian/patches
  * Update Standards-Version to 4.6.2
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 09 Jan 2023 09:17:44 +0900
