=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends-Indep: tinycdb
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/skkdic
 Vcs-Git: https://salsa.debian.org/debian/skkdic.git
 Homepage: https://skk-dev.github.io/dict/
